# alleggl.c File Reference

Allegro-OpenGL interfacing. More...

`#include <string.h>`
`#include <stdlib.h>`
`#include "alleggl.h"`
`#include "allglint.h"`
`#include <allegro/internal/aintern.h>`
`#include <GL/glu.h>`

Go to the source code of this file.

## Defines

- #define PREFIX_I "agl INFO: "
- #define PREFIX_E "agl ERROR: "
- #define PREFIX_L "agl LOG: "

## Functions

- static _DRIVER_INFO * our_gfx_drivers (void)
- static _DRIVER_INFO * list_saved_gfx_drivers (void)
- static BITMAP * allegro_gl_default_gfx_init (int w, int h, int vw, int vh, int depth)
- static void build_settings (int opt, char *section, char *name)
- static void agl_parse_section (int sec, char *section, char *name)
- int install_allegro_gl (void)
    Installs the AllegroGL addon to Allegro.
- void remove_allegro_gl (void)
    Removes the AllegroGL addon.
- void allegro_gl_flip (void)
    Flips the front and back framebuffers.
- float allegro_gl_opengl_version ()
    Returns the OpenGL version number of the client (the computer the program is running on).
- void __allegro_gl_set_allegro_image_format (int big_endian)
- void allegro_gl_set_blender_mode (int mode, int r, int g, int b, int a)

Mode selection functions

- void allegro_gl_clear_settings (void)
    Clear the option settings All settings are set to their default values, and marked as neither suggested not required.
- void allegro_gl_set (int option, int value)
    Sets a configuration option.
- int allegro_gl_get (int option)
    Reads the setting of a configuration option.
- void allegro_gl_save_settings ()
    Saves the current settings (as specified by allegro_gl_set()) to the current config file, in the section [OpenGL].
- void allegro_gl_load_settings ()
    Loads the settings from the current config file, in the section [OpenGL].

## Variables

- struct allegro_gl_driver * __allegro_gl_driver = NULL
- struct allegro_gl_display_info allegro_gl_display_info
- int __allegro_gl_required_settings
- int __allegro_gl_suggested_settings
- int __allegro_gl_valid_context = 0
- int __allegro_gl_blit_operation
- char allegro_gl_error [256] = EMPTY_STRING
- BLIT_BETWEEN_FORMATS_FUNC __blit_between_formats8
- BLIT_BETWEEN_FORMATS_FUNC __blit_between_formats15
- BLIT_BETWEEN_FORMATS_FUNC __blit_between_formats16
- BLIT_BETWEEN_FORMATS_FUNC __blit_between_formats24
- BLIT_BETWEEN_FORMATS_FUNC __blit_between_formats32
- BITMAP * allegro_gl_screen
    Direct-mode GL `screen' bitmap.
- static _DRIVER_INFO our_driver_list []
- _DRIVER_INFO *(* saved_gfx_drivers )(void) = NULL
- GFX_DRIVER gfx_allegro_gl_default

## Detailed Description

Allegro-OpenGL interfacing.

This sorts out having Allegro and the OpenGL library sharing a window, and generally cooperating.

Definition in file alleggl.c.

## Variable Documentation

BITMAP* allegro_gl_screen

Direct-mode GL `screen' bitmap.

If you draw to this bitmap (using supported Allegro functions) your calls will be converted into OpenGL equivalents and appear on the screen (or backbuffer).

Definition at line 62 of file alleggl.c.

_DRIVER_INFO our_driver_list[]`[static]`

Initial value:

     {

        {  , &gfx_allegro_gl_windowed, FALSE},

        {  , &gfx_allegro_gl_fullscreen, FALSE},

        {  , &gfx_allegro_gl_default, FALSE},
        {0, NULL, FALSE}
    }

Definition at line 67 of file alleggl.c.

GFX_DRIVER gfx_allegro_gl_default

Initial value:

    {
         ,
       EMPTY_STRING,
       EMPTY_STRING,
       "AllegroGL Default Driver",
       allegro_gl_default_gfx_init,
       NULL,
       NULL,
       NULL,
       NULL,
       NULL, NULL, NULL,
       NULL,
       NULL,
       NULL, NULL,
       NULL, NULL,
       NULL, NULL, NULL, NULL,
       NULL,
       NULL, NULL,
       NULL,
       NULL,
       0, 0,
       0,
       0, 0,
       0,
       0,
       FALSE
    }

Definition at line 102 of file alleggl.c.